Summary: GTK widgets for Xfce
Name: libxfcegui4
Version: 4.2.2
Release: 1.fc4.XOS.1
License: LGPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.2/src/libxfcegui4-4.2.2.tar.gz
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: /sbin/ldconfig
Requires: gtk2 >= 2.0.6
Requires: libxfce4util >= %{version}
BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: dbh-devel
BuildRequires: libxml2-devel >= 2.4.0

%description
The package includes various gtk widgets for Xfce.

%package devel
Summary: Developpment tools for libxfcegui4 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: libxfce4util-devel
Provides: libxfcegui4-devel

%description devel
This package includes the static libraries and header files you will need
to compile applications for Xfce.

%prep
%setup -q

%build
%configure --enable-xinerama

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/lib*.so*
%{_libdir}/xfce4/modules/*.so*
%{_datadir}/xfce4/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/xfce4/modules/*.a
%{_libdir}/xfce4/modules/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/*
%{_datadir}/gtk-doc/html/libxfcegui4

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 4.2.2-1.fc4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on libxfcegui4-4.2.2-1.fc4.src.rpm
  (md5sum of original source rpm: 74c34e7aa7d23d92f4936ed9956d2767).

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release 

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-3
- remove stuff, remove version from dbh-devel buildreq

* Wed Mar 16 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2
- Fixed %files bug that wasn't packaging .so files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-3
- Fixed Xfce case

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Capitalized first letter of Summary in devel section to quiet rpmlint
- Added dbh-devel to BuildRequires
- Capitalized the GTK in the Summary to queit rpmlint
- Moved all the module *.a and *.la libraries to the devel package
- Added Provides: libxfcegui4-devel to devel package

* Sun Jan 23 2005 Than Ngo <than@redhat.com> 4.2.0-1
- update to 4.2.0

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 4.1.99.1-1
- update to 4.2 rc1

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 4.0.3-4
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
